var inputStack = [];
function getFlashObject(id) {
	if (window.document[id]) {
		return window.document[id];
	}
	if (navigator.appName.indexOf("Microsoft Internet") == -1) {
		if (document.embeds && document.embeds[id])
			return document.embeds[id]; 
	} else {
		return document.getElementById(id);
	}
}
function setArabic(flashID, input) {
	var flashobject = getFlashObject(flashID);
	if (input.value.length>0) {
		flashobject.setArabicInputValue(input.value, input.id);
	} else {
		flashobject.setArabicInputValue('', input.id);
	}
}
function removeAllArabicInputs() {
	if (inputStack.length>0) {
		for (i=0; i<inputStack.length; i++) {
			$(inputStack[i]).remove();
		}
		inputStack = [];
	}
}
function revealAllArabicInputs() {
	if (inputStack.length>0) {
		for (i=0; i<inputStack.length; i++) {
			$(inputStack[i]).css({display: 'block'});
		}
	}
}
function setArabicInputFocus(inputID) {
	$('#'+inputID).focus();
}
function createArabicInput(flashID, inputID, inputValue, x, y, w, h, c, b, type) {
	var flashobject = getFlashObject(flashID);
	var flashdiv = flashobject.parentNode;
	var inputdiv = document.createElement('div');
	var p = 4;
	inputStack.push(inputdiv);
	inputdiv.id = 'arabicdiv_'+inputID;
	inputdiv.style.position = 'absolute';
	inputdiv.style.display = 'none';
	var pos = $('#'+flashID).offset();
	//inputdiv.style.left = (pos.left+Math.round(x))+'px';
	//inputdiv.style.top = (pos.top+Math.round(y))+'px';
	inputdiv.style.left = (Math.round(x)+p)+'px';
	inputdiv.style.top = (Math.round(y)+p)+'px';
	inputdiv.style.padding = 0;
	if (inputValue == 'null') {
		inputValue = '';
	}
	if (type != "multiline") {
		inputdiv.innerHTML = '<input id="'+inputID+'" name="'+inputID+'" lang="ar" type="text" onkeyup="setArabic(\''+flashID+'\', this)" value="'+inputValue+'" style="direction:rtl; border-style:none; background:'+b+'; color:'+c+'; width:'+(Math.round(w)-(p*4))+'px; height:'+(Math.round(h)-(p*4))+'px; padding:'+p+';" />';
	} else {
		inputdiv.innerHTML = '<textarea id="'+inputID+'" name="'+inputID+'" lang="ar" onkeyup="setArabic(\''+flashID+'\', this)" style="direction:rtl; border-style:none; background:'+b+'; background:none; color:'+c+'; width:'+(Math.round(w)-(p*4))+'px; height:'+(Math.round(h)-(p*4))+'px; padding:'+p+'px;">'+inputValue+'</textarea>';
	}
	flashdiv.appendChild(inputdiv);
	return 'arabicinput_'+inputID;
}
function removeArabicInput(flashID, inputID) {
	var flashobject = getFlashObject(flashID);
	var flashdiv = flashobject.parentNode;
	var inputdiv = document.getElementById(inputID);
	flashdiv.removeChild(inputdiv);
}
function trace(msg) {
	alert(msg);
}

